/*
 * AddAccountInfoCommand: アカウント情報追加コマンド
 */

package org.dbc_works.app.sbkeyhook.cmd;

import org.dbc_works.app.sbkeyhook.model.AccountInfo;
import org.dbc_works.app.sbkeyhook.model.KeyHookDocument;
import org.dbc_works.app.sbkeyhook.view.LabelManager;

public final class AddAccountInfoCommand extends EditAccountInfoCommand
{
	//
	// コンストラクタ
	//
	public AddAccountInfoCommand(
		AccountInfo accountInfo,	// 追加アカウント情報
		KeyHookDocument doc)		// 操作対象ドキュメント
	{
		super(LabelManager.getCommandNameProperties().getProperty("Command_Add") + " - " + accountInfo.name,
				accountInfo,
				null,
				doc);
	}
}
