/*
 * UpdateAccountInfoCommand: アカウント情報更新コマンド
 */

package org.dbc_works.app.sbkeyhook.cmd;

import org.dbc_works.app.sbkeyhook.model.AccountInfo;
import org.dbc_works.app.sbkeyhook.model.KeyHookDocument;
import org.dbc_works.app.sbkeyhook.view.LabelManager;

public final class UpdateAccountInfoCommand extends EditAccountInfoCommand
{
	//
	// コンストラクタ
	//
	public UpdateAccountInfoCommand(
		AccountInfo currentAccountInfo,	// 編集対象アカウント情報
		AccountInfo newAccountInfo,		// 編集アカウント情報
		KeyHookDocument doc)		// 操作対象ドキュメント
	{
		super(LabelManager.getCommandNameProperties().getProperty("Command_Update") + " - " + currentAccountInfo.name,
				newAccountInfo,
				currentAccountInfo,
				doc);
	}
}
