/*
 * LabelManager: ラベル管理 
 */

package org.dbc_works.app.sbkeyhook.view;

import java.util.Properties;

public final class LabelManager extends org.dbc_works.lib.ui.LabelManager
{
	//
	// 定数
	//
	
	// メニュー用定義
	public static final String MENU_FILE	= "Menu_File";
	public static final String MENU_FILE_EXIT	= "Menu_File_Exit";
	
	public static final String MENU_EDIT	= "Menu_Edit";
	public static final String MENU_EDIT_UNDO	= "Menu_Edit_Undo";
	public static final String MENU_EDIT_REDO	= "Menu_Edit_Redo";
	public static final String MENU_EDIT_ADD	= "Menu_Edit_Add";
	public static final String MENU_EDIT_EDIT	= "Menu_Edit_Edit";
	public static final String MENU_EDIT_DELETE	= "Menu_Edit_Delete";

	public static final String MENU_VIEW	= "Menu_View";
	public static final String MENU_VIEW_TOOLBAR	= "Menu_View_ToolBar";

	// ラベル用定義
	public static final String LBL_NAME	= "Label_Name";
	public static final String LBL_ID	= "Label_Id";
	public static final String LBL_PASSWORD	= "Label_Password";
	public static final String LBL_MEMO	= "Label_Memo";
	public static final String LBL_CONFIRM	= "Label_Confirm";

	// メッセージ用定義
	public static final String MSG_NOSELECTION	= "Msg_Info_NoSelection";
	public static final String MSG_NAMEALREADYEXIST	= "Msg_Info_NameAlreadyExist";
	
	// コマンド名用定義
	public static final String COMMAND_ADD	= "Command_Add";
	public static final String COMMAND_EDIT	= "Command_Edit";
	public static final String COMMAND_DELETE	= "Command_Delete";

	// ステータスメッセージ用定義
	public static final String STATUS_READY	= "Status_Ready";
	
	//
	// クラスメソッド(公開)
	//

	// メニューラベルのプロパティセットを返す
	public static Properties getMenuLabelProperties()
	{
		return getProperties("/MenuLabel.properties");
	}

	// コマンド名のプロパティセットを返す
	public static Properties getCommandNameProperties()
	{
		return getProperties("/Command.properties");
	}

	// ラベルのプロパティセットを返す
	public static Properties getLabelProperties()
	{
		return getProperties("/Label.properties");
	}

	//
	// コンストラクタ
	//
	private LabelManager()
	{
	}
}
