/*
 * DeleteAccountInfoCommand: アカウント情報削除コマンド  
 */

package org.dbc_works.app.sbkeyhook.cmd;

import org.dbc_works.app.sbkeyhook.model.AccountInfo;
import org.dbc_works.app.sbkeyhook.model.KeyHookDocument;
import org.dbc_works.app.sbkeyhook.view.LabelManager;

public final class DeleteAccountInfoCommand extends EditAccountInfoCommand
{
	//
	// コンストラクタ
	//
	public DeleteAccountInfoCommand(
		AccountInfo accountInfo,	// 削除アカウント情報
		KeyHookDocument doc)		// 操作対象ドキュメント
	{
		super(LabelManager.getCommandNameProperties().getProperty("Command_Delete") + " - " + accountInfo.name,
				null,
				accountInfo,
				doc);
	}
}
