/*
 * ImplementOperation: メインフレーム必須定義メソッドインターフェース
 */

package org.dbc_works.app.sbkeyhook.view;

import org.dbc_works.app.sbkeyhook.model.AccountInfo;
import org.dbc_works.app.sbkeyhook.MainFrame;

public interface ImplementOperation
	extends org.dbc_works.lib.ui.ImplementOperationBase,
	org.dbc_works.lib.ui.ToolBarOperation,
	org.dbc_works.lib.ui.AdditionalStateOperation
{
	void setListSelectionReceiver(MainFrame.AbstractionReceiver receiver);
	void setEditAccountReceiver(MainFrame.AbstractionReceiver receiver);

	boolean hasSelection();
	public String getSelectedAccountName();
	void setAccountInfoNames(String[] names);
	void selectAccount(AccountInfo account);

	String showPasswordDialog(String title, boolean confirm);
	AccountInfo showAddAccountInfoDialog(String title, String[] names);
	AccountInfo showEditAccountInfoDialog(String title, AccountInfo editAccount);
	boolean showConfirmMessage(String msg);

	void setStatusMessage(String msg);
}
